Bug 312151 - kvm-44 fixes blue screen of death (BSOD) during Vista install
kvm-44 fixes blue screen of death (BSOD) during Vista install
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
9
i386 Windows
low Severity high
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-29 02:15 EDT by eric magaoay
Modified: 2008-05-30 01:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: FC9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 01:51:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric magaoay 2007-09-29 02:15:13 EDT
Description of problem:
The current build of KVM (36-6.fc8) is crashing the Vista (32bit) install.
Using the latest upstream release (kvm-44) resolved the above problem.

Version-Release number of selected component (if applicable):
HOST: Fedora x86_64 rawhide build (9/28/07), 
      kernel.x86_64 2.6.23-0.211.rc8.git2.fc8
      kvm 36-6.fc8
GUEST: Vista Ultimate 32bit
Comment 1 eric magaoay 2007-09-29 23:02:55 EDT
OK, I forgot to mentioned that kvm kernel modules on kvm-44 is causing segfault.
So to avoid BSOD while installing Vista 32bit, I use the following components:

From Fedora KVM.x86_64.36-6.fc8: 
    kvm.ko, 
    kvm-amd.ko
From upstream KVM-44: 
   /usr/local/bin/qemu-system-x86_64
   /usr/local/bin/qemu-img

HARDWARE:
   Motherboard: ECS GeForce6100SM-M v1.0
   CPU: AMD Athlon64 X2 4400
   RAM: 2GB
   Chipset: Nvidia 6100S
Comment 2 Michel Alexandre Salim 2008-02-18 12:57:51 EST
Rawhide is now up to kvm-60, does that fix the issue for you?
Comment 3 Max Kanat-Alexander 2008-02-23 19:54:15 EST
I can confirm that it fixed it for me! I just rebuilt the rawhide kvm,
re-modprobed the modules, and all was well. :-)
Comment 4 Bug Zapper 2008-05-13 23:18:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 eric magaoay 2008-05-30 01:51:19 EDT
I agree, the problem has been fixed on FC9 (kvm.x86_64 ver 65-1.fc9)

Note You need to log in before you can comment on or make changes to this bug.